"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pluginsSortValidator = exports.videoRedundanciesSortValidator = exports.videoPlaylistsSortValidator = exports.userNotificationsSortValidator = exports.serversBlocklistSortValidator = exports.accountsBlocklistSortValidator = exports.videoChannelsSearchSortValidator = exports.availablePluginsSortValidator = exports.userSubscriptionsSortValidator = exports.videoRatesSortValidator = exports.videoCommentThreadsSortValidator = exports.jobsSortValidator = exports.followingSortValidator = exports.followersSortValidator = exports.accountsSortValidator = exports.blacklistSortValidator = exports.videosSortValidator = exports.videosSearchSortValidator = exports.videoCommentsValidator = exports.videoImportsSortValidator = exports.videoChannelsSortValidator = exports.abusesSortValidator = exports.usersSortValidator = void 0;
const constants_1 = require("../../initializers/constants");
const utils_1 = require("./utils");
const SORTABLE_USERS_COLUMNS = utils_1.createSortableColumns(constants_1.SORTABLE_COLUMNS.USERS);
const SORTABLE_ACCOUNTS_COLUMNS = utils_1.createSortableColumns(constants_1.SORTABLE_COLUMNS.ACCOUNTS);
const SORTABLE_JOBS_COLUMNS = utils_1.createSortableColumns(constants_1.SORTABLE_COLUMNS.JOBS);
const SORTABLE_ABUSES_COLUMNS = utils_1.createSortableColumns(constants_1.SORTABLE_COLUMNS.ABUSES);
const SORTABLE_VIDEOS_COLUMNS = utils_1.createSortableColumns(constants_1.SORTABLE_COLUMNS.VIDEOS);
const SORTABLE_VIDEOS_SEARCH_COLUMNS = utils_1.createSortableColumns(constants_1.SORTABLE_COLUMNS.VIDEOS_SEARCH);
const SORTABLE_VIDEO_CHANNELS_SEARCH_COLUMNS = utils_1.createSortableColumns(constants_1.SORTABLE_COLUMNS.VIDEO_CHANNELS_SEARCH);
const SORTABLE_VIDEO_IMPORTS_COLUMNS = utils_1.createSortableColumns(constants_1.SORTABLE_COLUMNS.VIDEO_IMPORTS);
const SORTABLE_VIDEO_COMMENTS_COLUMNS = utils_1.createSortableColumns(constants_1.SORTABLE_COLUMNS.VIDEO_COMMENT_THREADS);
const SORTABLE_VIDEO_COMMENT_THREADS_COLUMNS = utils_1.createSortableColumns(constants_1.SORTABLE_COLUMNS.VIDEO_COMMENT_THREADS);
const SORTABLE_VIDEO_RATES_COLUMNS = utils_1.createSortableColumns(constants_1.SORTABLE_COLUMNS.VIDEO_RATES);
const SORTABLE_BLACKLISTS_COLUMNS = utils_1.createSortableColumns(constants_1.SORTABLE_COLUMNS.BLACKLISTS);
const SORTABLE_VIDEO_CHANNELS_COLUMNS = utils_1.createSortableColumns(constants_1.SORTABLE_COLUMNS.VIDEO_CHANNELS);
const SORTABLE_FOLLOWERS_COLUMNS = utils_1.createSortableColumns(constants_1.SORTABLE_COLUMNS.FOLLOWERS);
const SORTABLE_FOLLOWING_COLUMNS = utils_1.createSortableColumns(constants_1.SORTABLE_COLUMNS.FOLLOWING);
const SORTABLE_USER_SUBSCRIPTIONS_COLUMNS = utils_1.createSortableColumns(constants_1.SORTABLE_COLUMNS.USER_SUBSCRIPTIONS);
const SORTABLE_ACCOUNTS_BLOCKLIST_COLUMNS = utils_1.createSortableColumns(constants_1.SORTABLE_COLUMNS.ACCOUNTS_BLOCKLIST);
const SORTABLE_SERVERS_BLOCKLIST_COLUMNS = utils_1.createSortableColumns(constants_1.SORTABLE_COLUMNS.SERVERS_BLOCKLIST);
const SORTABLE_USER_NOTIFICATIONS_COLUMNS = utils_1.createSortableColumns(constants_1.SORTABLE_COLUMNS.USER_NOTIFICATIONS);
const SORTABLE_VIDEO_PLAYLISTS_COLUMNS = utils_1.createSortableColumns(constants_1.SORTABLE_COLUMNS.VIDEO_PLAYLISTS);
const SORTABLE_PLUGINS_COLUMNS = utils_1.createSortableColumns(constants_1.SORTABLE_COLUMNS.PLUGINS);
const SORTABLE_AVAILABLE_PLUGINS_COLUMNS = utils_1.createSortableColumns(constants_1.SORTABLE_COLUMNS.AVAILABLE_PLUGINS);
const SORTABLE_VIDEO_REDUNDANCIES_COLUMNS = utils_1.createSortableColumns(constants_1.SORTABLE_COLUMNS.VIDEO_REDUNDANCIES);
const usersSortValidator = utils_1.checkSort(SORTABLE_USERS_COLUMNS);
exports.usersSortValidator = usersSortValidator;
const accountsSortValidator = utils_1.checkSort(SORTABLE_ACCOUNTS_COLUMNS);
exports.accountsSortValidator = accountsSortValidator;
const jobsSortValidator = utils_1.checkSort(SORTABLE_JOBS_COLUMNS);
exports.jobsSortValidator = jobsSortValidator;
const abusesSortValidator = utils_1.checkSort(SORTABLE_ABUSES_COLUMNS);
exports.abusesSortValidator = abusesSortValidator;
const videosSortValidator = utils_1.checkSort(SORTABLE_VIDEOS_COLUMNS);
exports.videosSortValidator = videosSortValidator;
const videoImportsSortValidator = utils_1.checkSort(SORTABLE_VIDEO_IMPORTS_COLUMNS);
exports.videoImportsSortValidator = videoImportsSortValidator;
const videosSearchSortValidator = utils_1.checkSort(SORTABLE_VIDEOS_SEARCH_COLUMNS);
exports.videosSearchSortValidator = videosSearchSortValidator;
const videoChannelsSearchSortValidator = utils_1.checkSort(SORTABLE_VIDEO_CHANNELS_SEARCH_COLUMNS);
exports.videoChannelsSearchSortValidator = videoChannelsSearchSortValidator;
const videoCommentsValidator = utils_1.checkSort(SORTABLE_VIDEO_COMMENTS_COLUMNS);
exports.videoCommentsValidator = videoCommentsValidator;
const videoCommentThreadsSortValidator = utils_1.checkSort(SORTABLE_VIDEO_COMMENT_THREADS_COLUMNS);
exports.videoCommentThreadsSortValidator = videoCommentThreadsSortValidator;
const videoRatesSortValidator = utils_1.checkSort(SORTABLE_VIDEO_RATES_COLUMNS);
exports.videoRatesSortValidator = videoRatesSortValidator;
const blacklistSortValidator = utils_1.checkSort(SORTABLE_BLACKLISTS_COLUMNS);
exports.blacklistSortValidator = blacklistSortValidator;
const videoChannelsSortValidator = utils_1.checkSort(SORTABLE_VIDEO_CHANNELS_COLUMNS);
exports.videoChannelsSortValidator = videoChannelsSortValidator;
const followersSortValidator = utils_1.checkSort(SORTABLE_FOLLOWERS_COLUMNS);
exports.followersSortValidator = followersSortValidator;
const followingSortValidator = utils_1.checkSort(SORTABLE_FOLLOWING_COLUMNS);
exports.followingSortValidator = followingSortValidator;
const userSubscriptionsSortValidator = utils_1.checkSort(SORTABLE_USER_SUBSCRIPTIONS_COLUMNS);
exports.userSubscriptionsSortValidator = userSubscriptionsSortValidator;
const accountsBlocklistSortValidator = utils_1.checkSort(SORTABLE_ACCOUNTS_BLOCKLIST_COLUMNS);
exports.accountsBlocklistSortValidator = accountsBlocklistSortValidator;
const serversBlocklistSortValidator = utils_1.checkSort(SORTABLE_SERVERS_BLOCKLIST_COLUMNS);
exports.serversBlocklistSortValidator = serversBlocklistSortValidator;
const userNotificationsSortValidator = utils_1.checkSort(SORTABLE_USER_NOTIFICATIONS_COLUMNS);
exports.userNotificationsSortValidator = userNotificationsSortValidator;
const videoPlaylistsSortValidator = utils_1.checkSort(SORTABLE_VIDEO_PLAYLISTS_COLUMNS);
exports.videoPlaylistsSortValidator = videoPlaylistsSortValidator;
const pluginsSortValidator = utils_1.checkSort(SORTABLE_PLUGINS_COLUMNS);
exports.pluginsSortValidator = pluginsSortValidator;
const availablePluginsSortValidator = utils_1.checkSort(SORTABLE_AVAILABLE_PLUGINS_COLUMNS);
exports.availablePluginsSortValidator = availablePluginsSortValidator;
const videoRedundanciesSortValidator = utils_1.checkSort(SORTABLE_VIDEO_REDUNDANCIES_COLUMNS);
exports.videoRedundanciesSortValidator = videoRedundanciesSortValidator;
